﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace WebApplication1.Models
{
    public class Exercise
    {
        public string Name { get; set; }
        public double Calories { get; set; }

        public Exercise(string name, double calories)
        {
            Name = name;
            Calories = calories;
        }

        public override string ToString()
        {
            return $"{Name} [{Calories} kcal/100kg/hour]";
        }
    }

    public class CalorieInput
    {
        public string Name { get; set; }

        public double Weight { get; set; }

        public int SelectedExercise { get; set; }
        // int (index/id) / string (name) /  Exercise (with webAPI - not recommend with MVC Form)

        public double Length { get; set; }
    }
}