﻿using BMICalculator.Shared.Models;

namespace BMICalculator.BL.Interfaces
{
    public interface IBMICalculator
    {
        /// <summary>
        /// Calculates the person Bod Mass Index.
        /// </summary>
        /// <param name="person">The person descriptor.</param>
        /// <returns>Returns the index in percentage.</returns>
        BMIResult CalculateBMI(PersonDescriptor person);
    }
}
